using System;
using System.Collections.Generic;
using System.ComponentModel;
using System.Data;
using System.Drawing;
using System.Linq;
using System.Text;
using System.Threading.Tasks;
using System.Windows.Forms;

namespace Grader
{
    public partial class Form1 : Form
    {
        public Form1()
        {
            InitializeComponent();
        }

        private void determineGradeButton_Click(object sender, EventArgs e)
        {
            try
            {
                // Zmienna przechowująca wynik ze sprawdzianu.
                double testScore;

                // Pobranie wyniku ze sprawdzianu.
                testScore = double.Parse(testScoreTextBox.Text);

                // Ustalenie oceny.
                if (testScore < 60)
                {
                    gradeLabel.Text = "1";
                }
                else
                {
                    if (testScore < 70)
                    {
                        gradeLabel.Text = "2";
                    }
                    else
                    {
                        if (testScore < 80)
                        {
                            gradeLabel.Text = "3";
                        }
                        else
                        {
                            if (testScore < 90)
                            {
                                gradeLabel.Text = "4";
                            }
                            else
                            {
                                gradeLabel.Text = "5";
                            }
                        }
                    }
                }
            }
            catch (Exception ex)
            {
                // Wyświetlenie komunikatu błędu.
                MessageBox.Show(ex.Message);
            }
        }

        private void exitButton_Click(object sender, EventArgs e)
        {
            // Zamknięcie formularza. 
            this.Close();
        }
    }
}
